Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.10
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.lang
[Java] Class NonEmptySequence

    java.lang.Object
      java.util.AbstractCollection
          java.util.AbstractList
              java.util.ArrayList
                  groovy.lang.Sequence
                      groovy.lang.NonEmptySequence

    public class NonEmptySequence
    extends Sequence

Represents a sequence of objects which represents one or many instances of of objects of a given type. The type can be ommitted in which case any type of object can be added.

Authors:
  James Strachan

Version:
  \$Revision: 6778 \$

Constructor Summary
`NonEmptySequence()`
`NonEmptySequence(Class type)`
`NonEmptySequence(Class type, List content)`

Method Summary
`int` | `minimumSize()`

Methods inherited from class Sequence
add, add, addAll, addAll, checkCollectionType, checkType, clear, equals, equals, getMetaClass, getProperty, hashCode, invokeMethod, minimumSize, remove, removeRange, set, set, setMetaClass, setProperty, type

Methods inherited from class ArrayList
add, add, get, clone, indexOf, clear, contains, isEmpty, lastIndexOf, size, subList, toArray, toArray, addAll, addAll, iterator, remove, remove, set, ensureCapacity, trimToSize, listIterator, listIterator, removeAll, retainAll, equals, hashCode, toString, containsAll, wait, wait, wait, getClass, notify, notifyAll

Methods inherited from class AbstractList
add, add, get, equals, hashCode, indexOf, clear, lastIndexOf, subList, addAll, iterator, remove, set, listIterator, listIterator, toString, contains, isEmpty, size, toArray, toArray, addAll, remove, containsAll, removeAll, retainAll, wait, wait, wait, getClass, notify, notifyAll, size

Methods inherited from class AbstractCollection
add, toString, clear, contains, isEmpty, size, toArray, toArray, addAll, iterator, remove, containsAll, removeAll, retainAll, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### NonEmptySequence

    public NonEmptySequence()

### NonEmptySequence

    public NonEmptySequence(Class type)

### NonEmptySequence

    public NonEmptySequence(Class type, List content)

Method Detail

### minimumSize

    public int minimumSize()

Copyright © 2003-2010 The Codehaus. All rights reserved.